Name:          annogen 
Version:       0.1.0
Release:       10%{?dist}
Summary:       Java framework for JSR-175 annotations 
License:       ASL 2.0
URL:           http://annogen.codehaus.org/
# svn export http://svn.codehaus.org/annogen/annogen/tags/release-0_1_0/ annogen-0.1.0
# find annogen-0.1.0/ -name '*.jar' -delete
# tar cJf annogen-0.1.0-CLEAN.tar.xz annogen-0.1.0
Source0:       %{name}-%{version}-CLEAN.tar.xz
Source1:       http://repo1.maven.org/maven2/annogen/annogen/0.1.0/annogen-0.1.0.pom
Patch0:        annogen-doc-build.patch
BuildArch:     noarch
BuildRequires: ant
BuildRequires: dos2unix
BuildRequires: java-devel
BuildRequires: javapackages-local 
BuildRequires: qdox
Requires:      qdox

%description
Annogen is a framework which helps you work with JSR175 Annotations. 
In a nutshell, Annogen generates a proxy layer in front of your 
Annotations.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

sed -i.tools_jar "s|/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.1.x86_64|%{_jvmdir}/java|" build-docs.xml

sed -i.version "s|0.1.1|%{version}|" build.properties

find examples -type f | xargs dos2unix
find license -type f | xargs dos2unix
find docs -name '*.html' -o -name '*.css' | xargs dos2unix

sed -i.qdox2 "s|import com.thoughtworks.qdox.model.AbstractJavaEntity;|import com.thoughtworks.qdox.model.impl.AbstractJavaEntity;|" \
 annogen/adapters/qdox/src/org/codehaus/annogen/override/QDoxElementIdPool.java \
 annogen/adapters/qdox/src/org/codehaus/annogen/view/QDoxAnnoViewer.java

%build

%mvn_file %{name}:%{name} %{name}
export CLASSPATH=$( build-classpath qdox)
for x in *.xml; do 
  sed -i -e "s/source='1.4'/source='1.5'/; s/target='1.4'/target='1.5'/" $x;
done
ant jars
ant docs
%mvn_artifact %{SOURCE1} build/distribution/%{name}-%{version}.jar

%install
%mvn_install -J build/docs

%files -f .mfiles
%doc examples/
%license license/LICENSE.txt license/NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license license/LICENSE.txt license/NOTICE.txt

%changelog
* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 0.1.0-10
- introduce license macro

* Thu Oct 23 2014 gil cattaneo <puntogil@libero.it> 0.1.0-9
- port to qdox 2.0
- adapt to current guideline

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.1.0-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Andy Grimm <agrimm@gmail.com> - 0.1.0-5
- Bump build source/target from java 1.4 to 1.5 (RHBZ#842571)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 11 2012 Andy Grimm <agrimm@gmail.com> - 0.1.0-2
- Remove bundled jars before creating source archive
- Change javadocs install commands to match other java packages

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> - 0.1.0-1
- Initial package
